pkg/kamailio/deb: add focal support #2338
authorVictor Seva <linuxmaniac@torreviejawireless.org>
Tue, 4 Aug 2020 13:01:17 +0000 (15:01 +0200)
committerVictor Seva <linuxmaniac@torreviejawireless.org>
Tue, 4 Aug 2020 13:01:17 +0000 (15:01 +0200)
22 files changed:
pkg/kamailio/deb/debian/backports/focal [new file with mode: 0755]
pkg/kamailio/deb/focal/changelog [new file with mode: 0644]
pkg/kamailio/deb/focal/compat [new file with mode: 0644]
pkg/kamailio/deb/focal/control [new file with mode: 0644]
pkg/kamailio/deb/focal/copyright [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio-autheph-modules.lintian-overrides [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio-berkeley-bin.dirs [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio-dnssec-modules.lintian-overrides [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio-outbound-modules.lintian-overrides [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio-tls-modules.lintian-overrides [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio-websocket-modules.lintian-overrides [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio.README.Debian [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio.default [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio.examples [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio.init [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio.lintian-overrides [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio.postinst [new file with mode: 0644]
pkg/kamailio/deb/focal/kamailio.service [new file with mode: 0644]
pkg/kamailio/deb/focal/rules [new file with mode: 0755]
pkg/kamailio/deb/focal/source.lintian-overrides [new file with mode: 0644]
pkg/kamailio/deb/focal/source/format [new file with mode: 0644]
pkg/kamailio/deb/focal/watch [new file with mode: 0644]

diff --git a/pkg/kamailio/deb/debian/backports/focal b/pkg/kamailio/deb/debian/backports/focal
new file mode 100755 (executable)
index 0000000..51a5e58
--- /dev/null
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Target dist: Ubuntu focal
+DIST=focal
+
+rm -rf ${DIST}
+cp -r debian ${DIST}
+
+# No mi_xmlrpc module
+sed -i -e '/libxmlrpc-c3-dev/d' -e '/^Package: kamailio-xmlrpc-modules/,/^$/d' \
+       ${DIST}/control
+sed -i -e 's/ mi_xmlrpc[ ,$]*/ /' ${DIST}/rules
+sed -i -e '/^EXTRA_EXCLUDED_MODULES=/s/$/ mi_xmlrpc/' ${DIST}/rules
+
+# No dnssec module:
+sed -i -e '/libval-dev/d' -e '/^Package: kamailio-dnssec-modules/,/^$/d' \
+  ${DIST}/control
+sed -i -e 's/ dnssec[ ,$]*/ /' ${DIST}/rules
+sed -i -e '/^EXTRA_EXCLUDED_MODULES=/s/$/ dnssec/' ${DIST}/rules
+
+# No app_java due lack of gcj-jdk
+sed -i -e '/gcj-jdk/d' -e '/^Package: kamailio-java-modules/,/^$/d' \
+  ${DIST}/control
+sed -i -e '/^export JAVA_HOME/d' ${DIST}/rules
+sed -i -e 's/ java[ ,$]*/ /' ${DIST}/rules
+sed -i -e '/^EXCLUDED_MODULES=/s/$/ java/' ${DIST}/rules
+
+wrap-and-sort -sat -d ${DIST}
+
+# clean backports scripts
+rm -rf ${DIST}/backports
+exit 0
diff --git a/pkg/kamailio/deb/focal/changelog b/pkg/kamailio/deb/focal/changelog
new file mode 100644 (file)
index 0000000..c93b317
--- /dev/null
@@ -0,0 +1,6 @@
+kamailio (5.4.0) unstable; urgency=medium
+
+  * version set 5.4.0
+
+ -- Victor Seva <vseva@debian.org>  Wed, 29 Jul 2020 09:11:23 +0200
+
diff --git a/pkg/kamailio/deb/focal/compat b/pkg/kamailio/deb/focal/compat
new file mode 100644 (file)
index 0000000..ec63514
--- /dev/null
@@ -0,0 +1 @@
+9
diff --git a/pkg/kamailio/deb/focal/control b/pkg/kamailio/deb/focal/control
new file mode 100644 (file)
index 0000000..dfe684c
--- /dev/null
@@ -0,0 +1,869 @@
+Source: kamailio
+Section: net
+Priority: optional
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Victor Seva <vseva@debian.org>,
+ Tzafrir Cohen <tzafrir@debian.org>,
+Build-Depends:
+ bison,
+ debhelper (>= 9),
+ default-libmysqlclient-dev,
+ dh-systemd (>= 1.5),
+ docbook-xml,
+ dpkg-dev (>= 1.16.1.1),
+ erlang-dev,
+ flex,
+ libcurl4-openssl-dev,
+ libdb-dev (>= 4.6.19),
+ libev-dev,
+ libevent-dev,
+ libexpat1-dev,
+ libgeoip-dev (>= 1.4.5),
+ libhiredis-dev (>= 0.10.0),
+ libjansson-dev,
+ libjson-c-dev,
+ libldap2-dev,
+ liblua5.1-0-dev,
+ libmaxminddb-dev,
+ libmemcached-dev,
+ libmnl-dev,
+ libmongoc-dev,
+ libmono-2.0-dev,
+ libmosquitto-dev,
+ libncurses5-dev,
+ libpcre3-dev,
+ libperl-dev,
+ libphonenumber-dev (>= 7),
+ libpq-dev,
+ librabbitmq-dev,
+ libradcli-dev,
+ libreadline-dev,
+ libsasl2-dev,
+ libsctp-dev,
+ libsnmp-dev,
+ libsqlite3-dev,
+ libssl-dev,
+ libsystemd-dev,
+ libunistring-dev,
+ libxml2-dev,
+ openssl,
+ pkg-config,
+ python,
+ python-dev,
+ python3,
+ python3-dev,
+ ruby-dev,
+ unixodbc-dev,
+ uuid-dev,
+ xsltproc,
+ zlib1g-dev,
+Standards-Version: 3.9.5
+Homepage: http://www.kamailio.org/
+Vcs-git: git://anonscm.debian.org/pkg-voip/kamailio.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/kamailio.git
+
+Package: kamailio
+Architecture: linux-any
+Multi-Arch: foreign
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ adduser,
+ lsb-base,
+ python,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Replaces:
+ kamailio-carrierroute-modules,
+Suggests:
+ kamailio-berkeley-modules,
+ kamailio-cpl-modules,
+ kamailio-dbg,
+ kamailio-ldap-modules,
+ kamailio-lua-modules,
+ kamailio-mysql-modules,
+ kamailio-perl-modules,
+ kamailio-postgres-modules,
+ kamailio-presence-modules,
+ kamailio-python-modules,
+ kamailio-radius-modules,
+ kamailio-snmpstats-modules,
+ kamailio-tls-modules,
+ kamailio-unixodbc-modules,
+ kamailio-xml-modules,
+ kamailio-xmpp-modules,
+Description: very fast, dynamic and configurable SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, kamailio can handle thousands requests
+ per second even on low-budget hardware. It can be configured to act
+ as a SIP proxy, application server, session border controller,
+ or call load balancer to handle a set of media servers.
+ .
+ A C Shell like scripting language provides full control over the server's
+ behaviour. It's easy to integrate Kamailio with 3rd party API's and applications
+ using HTTP, AMQP, database drivers, LDAP, Radius and many other solutions.
+ In addition there is support for scripting using Lua, Python, Perl, Java and
+ a set of other languages using Mono.
+ .
+ Kamailio's modular architecture allows only required functionality to be loaded.
+ There are over 100 modules available: WebSockets for WebRTC, authentication,
+ multiple databases - both traditional SQL databases as well as no-SQL,
+ message bus systems like Rabbit MQ, instant messaging, a presence agent,
+ integration with REST-ful APIs using HTTP and JSON or XML,
+ radius authentication, record routing, an SMS gateway, a XMPP/jabber gateway, a
+ transaction and dialog module, OSP module, statistics support,
+ registrar and user location services, SNMP, SIMPLE Presence and much more.
+ .
+ This package contains the main Kamailio binary along with the principal modules
+ and support binaries.
+
+Package: kamailio-dbg
+Priority: extra
+Section: debug
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+Description: very fast and configurable SIP server [debug symbols]
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package contains the debugging symbols for the Kamailio binaries and
+ modules. You only need to install it if you need to debug Kamailio.
+
+Package: kamailio-geoip-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: The geoip module for the Kamailio SIP Server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the geoip module, an extension enabling
+ usage of the GeoIP API within the Kamailio configuration file.
+
+Package: kamailio-geoip2-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: The geoip2 module for the Kamailio SIP Server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the geoip2 module, an extension enabling
+ real-time queries against the Max Mind GeoIP2 database within the Kamailio
+ configuration file.
+
+Package: kamailio-sqlite-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ sqlite3,
+Description: SQLite database connectivity module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the SQLite database driver for Kamailio.
+
+Package: kamailio-json-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Json parser and Json-RPC modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides a JSON parser for use in the Kamailio
+ configuration file and the JSON-RPC client over netstrings.
+
+Package: kamailio-memcached-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Replaces:
+ kamailio-memcached-module,
+Description: interface to the memcached server, for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the memcached module, an interface to the memcached
+ server, a high-performance, distributed memory object caching system.
+
+Package: kamailio-lua-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: The app_lua module for Kamailio Lua support
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the app_lua module, an extension allowing to
+ execute embedded Lua applications within the configuration file as
+ well as writing the entire configuration file in Lua.
+
+Package: kamailio-mono-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: The app_mono module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the app_mono module, an extension allowing to
+ execute embedded Mono applications within the Kamailio SIP routing script.
+
+Package: kamailio-python-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ python-dev,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: The app_python module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the app_python module, an extension allowing to
+ execute embedded Python applications within the Kamailio SIP routing script.
+
+Package: kamailio-python3-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ python3-dev,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: The app_python3 module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the app_python3 module, an extension allowing to
+ execute embedded Python applications within the Kamailio SIP routing script.
+
+Package: kamailio-ruby-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: The app_ruby module for Kamailio Ruby support
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the app_ruby module, an extension allowing to
+ execute embedded Ruby applications within the Kamailio SIP routing script.
+
+Package: kamailio-redis-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Redis database connectivity module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the Redis NOSQL database driver for Kamailio.
+
+Package: kamailio-mysql-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ default-mysql-client | virtual-mysql-client,
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: MySQL database connectivity module for Kamailio
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the MySQL database driver for Kamailio.
+
+Package: kamailio-postgres-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ postgresql-client,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL database connectivity module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the PostgreSQL database driver for Kamailio.
+
+Package: kamailio-cpl-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: CPL module (CPL interpreter engine) for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides a CPL (Call Processing Language) interpreter for
+ Kamailio, turning Kamailio into a CPL server (storage and interpreter).
+
+Package: kamailio-radius-modules
+Architecture: linux-any
+Multi-Arch: same
+Breaks:
+ kamailio (<<5.1),
+Replaces:
+ kamailio (<<5.1),
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: RADIUS modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides a set of RADIUS modules for Kamailio, for
+ authentication, peering, group membership and messages URIs checking against a
+ RADIUS server.
+
+Package: kamailio-unixodbc-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: unixODBC database connectivity module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the unixODBC database driver for Kamailio.
+
+Package: kamailio-presence-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: SIP presence modules for Kamailio
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides several Kamailio modules for implementing a presence
+ server and presence user agent for rich presence, registrar-based presence,
+ external triggered presence with SIMPLE and XCAP support, as well as a
+ set of other SIP event packages..
+
+Package: kamailio-perl-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Perl extensions and database driver for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides an interface for Kamailio to write Perl extensions and
+ the perlvdb database driver for Kamailio.
+
+Package: kamailio-snmpstats-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ snmpd,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: SNMP AgentX subagent module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the snmpstats module for Kamailio. This module acts
+ as an AgentX subagent which connects to a master agent. The Kamailio MIBS are
+ included.
+
+Package: kamailio-xmpp-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: XMPP gateway module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the SIP to XMPP IM translator module for Kamailio.
+
+Package: kamailio-xml-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Replaces:
+ kamailio-xml-module,
+ kamailio-xmlrpc-module,
+Provides:
+ kamailio-xmlrpc-modules,
+Description: XML based extensions for Kamailio's Management Interface
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides:
+ - the XMLRPC transport implementations for Kamailio's
+ Management and Control Interface.
+ - xmlops module for XPath operations in configuration file
+
+Package: kamailio-berkeley-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ db-util (>= 4.6.19),
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Berkeley database module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the Berkeley database module for Kamailio, a
+ high-performance embedded database. All database tables are stored
+ in files, no additional server is necessary.
+
+Package: kamailio-berkeley-bin
+Architecture: linux-any
+Multi-Arch: foreign
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Berkeley database module for Kamailio - helper program
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides helper modules for the Berkeley database module for
+ Kamailio, a high-performance embedded DB kernel. You should normally
+ install kamailio-berkeley-modules and not this package directly.
+
+Package: kamailio-ldap-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: LDAP modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the ldap and h350 modules for Kamailio, enabling LDAP
+ queries from the Kamailio routing scripts and storage of SIP account data in an LDAP
+ directory.
+
+Package: kamailio-ims-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: IMS module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package contains various Diameter interfaces and modules for Kamailio
+ to run as an IMS core.
+
+Package: kamailio-utils-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Utility functions for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides a set of utility functions for Kamailio, as well
+ as modules for restful HTTP API access using the CURL library in the
+ http_client module.
+
+Package: kamailio-sctp-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: SCTP SIP transport module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the SCTP SIP transport module for Kamailio.
+
+Package: kamailio-tls-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: TLS support for the Kamailio SIP server (authentication, transport)
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides TLS support for encrypted and authenticated
+ SIP connections as well as generic TLS support for many Kamailio modules.
+
+Package: kamailio-outbound-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: SIP Outbound module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package contains the "outbound" module implementing SIP outbound extension.
+
+Package: kamailio-websocket-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: WebSocket module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package contains the module implementing WebSocket transport layer
+ for use in SIP over WebSockets, in combination with WebRTC media sessions..
+
+Package: kamailio-autheph-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: authentication using ephemeral credentials for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the ephemeral authentication module for Kamailio,
+ enabling authentication using a Restful HTTP API.
+
+Package: kamailio-kazoo-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: kazoo modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the Kazoo application server integration module for Kamailio.
+
+Package: kamailio-rabbitmq-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: RabbitMQ and AMQP integration modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the RabbitMQ module for Kamailio, enabling AMQP
+ integration into the SIP routing scripts for third party service
+ support.
+
+Package: kamailio-cnxcc-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: cnxcc modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the cnxcc call charging control module for Kamailio.
+
+Package: kamailio-erlang-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Erlang modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This Kamailio module provides interaction with the Erlang node from the Kamailio
+ SIP routing scripts. The module allows sending, receiving Erlang messages
+ and RPC calls between each other.
+
+Package: kamailio-systemd-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: systemd logging modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides logging to systemd journal directly from the
+ Kamailio configuration and routing scripts.
+
+Package: kamailio-phonenum-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: phonenum modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides real-time queries against the libphonenumber to be
+ performed directly from the Kamailio configuration and routing scripts.
+
+Package: kamailio-mongodb-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: mongodb modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the mongodb database driver and non-db connector for
+ Kamailio.
+
+Package: kamailio-mqtt-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: MQTT modules for the Kamailio SIP Server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ MQTT module allows bidirectional publish/subscribe communication by
+ connecting Kamailio to a MQTT Broker.
+ .
+ Messages can be published from any point in the routing script. Also
+ the subscriptions can be fully controlled by scripting commands.
+
+Package: kamailio-extra-modules
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Extra modules for the Kamailio SIP Server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides a set of modules for compression of SIP attachments,
+ UUID usage, JSON data structure support, HTTP restful API asynchronous
+ access and a few more functions: gzcompress uuid evapi jansson janssonrpcc http_async_client
+
+Package: kamailio-nth
+Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ binutils,
+ bison,
+ bvi,
+ flex,
+ gcc,
+ gdb,
+ iftop,
+ less | most,
+ lsof,
+ mc,
+ ngrep,
+ psmisc,
+ screen,
+ sipsak,
+ tcpdump,
+ vim,
+ ${misc:Depends},
+Description: Kamailio SIP server - package for "nice to have" utilities
+ This is a metapackage for easy installation various useful tools that may be
+ handy on server with Kamailio installed.
diff --git a/pkg/kamailio/deb/focal/copyright b/pkg/kamailio/deb/focal/copyright
new file mode 100644 (file)
index 0000000..6967774
--- /dev/null
@@ -0,0 +1,335 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: Kamailio
+Upstream-Contact: sr-dev@lists.kamailio.org
+Source: http://www.kamailio.org/pub/kamailio/
+
+Files: *
+Copyright:
+ 2001-2003 FhG Fokus
+ 2006-2010 iptelorg GmbH
+ Various others (see AUTHORS file)
+License: GPL-2.0+
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
+
+Files: debian/*
+Copyright: 2012, 2013, 2014 Victor Seva <linuxmaniac@torreviejawireless.org>
+           2009, 2010, 2011, Daniel-Constantin Mierla <miconda@gmail.com>
+           2010, Jon Bonilla <manwe@aholab.ehu.es>
+           2009, Jonas Bergler <jonas.bergler@staff.snap.net.nz>
+           2009, Henning Westerholt <henning.westerholt@1und1.de>
+           2007, Julien BLACHE <jblache@debian.org>
+License: GPL-2+
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
+
+
+Files: atomic/* atomic_ops.* basex.* bit_*.c char_msg_val.h compiler_opt.h
+ core_stats.h counters.* endianness.* futexlock.h hashes.h io_wait.*
+ kstats_types.h lock_ops.c lock_ops_init.h
+ lvalue.* mem/ll_malloc.* mem/memdbg.h mem/sf_malloc.* mi/*.h mod_fix.*
+ modules/tm/rpc_uac.* modules/counters/counters.c modules/tls/sbufq.h
+ modules/tls/tls_bio.* modules/tls/tls_cfg.* modules/tls/tls_cfg.h
+ modules/tls/tls_ct_wrq.* modules/tls/tls_ct_q.h modules/tls/tls_domain.*
+ modules/tls/tls_server.h modules/tls/tls_locking.* modules/tls/tls_rpc.*
+ modules/tls/tls_server.c modules/malloc_test/malloc_test.c modules/blst/blst.c
+ parser/case_p_* parser/case_reas.h pvapi.h pv_core.* rand/fastrand.* raw_*
+ rpc_lookup.* rvalue.* sctp_* ser_time.h shm_init.* sip_msg_clone.* sock_ut.*
+ sr_compat.* str_hash.h switch.* tcp_ev.h tcp_int_send.h tcp_options.*
+ tcp_read.h tcp_stats.* timer_proc.* tls_hooks.* tls_hooks_init.h ver.*
+Copyright: 2006-2010 iptelorg GmbH
+License: ISC
+
+Files: modules/tls/tls_select.* modules/tls/tls_dump_vf.*
+Copyright: 2005-2010 iptelorg GmbH
+License: GPL-2 + OpenSSL exception
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
+ * Exception: permission to copy, modify, propagate, and distribute a work
+ * formed by combining OpenSSL toolkit software and the code in this file,
+ * such as linking with software components and libraries released under
+ * OpenSSL project license.
+
+Files: modules/websocket/* modules/outbound/* modules/auth_ephemeral/*
+Copyright: 2012-2013 Crocodile RCS Ltd
+License: GPL-2 + OpenSSL exception
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
+ * Exception: permission to copy, modify, propagate, and distribute a work
+ * formed by combining OpenSSL toolkit software and the code in this file,
+ * such as linking with software components and libraries released under
+ * OpenSSL project license.
+
+Files: daemonize.* fastlock.h lock_ops.h mem/mem.* mem/f_malloc.h
+ mem/meminfo.h mem/memtest.c mem/shm_mem.c mem/q_malloc.h mem/q_malloc.c
+ mem/shm_mem.h mem/f_malloc.c modules/tls/tls_rpc.c modules/tls/tls_server.c
+ modules/tls/tls_domain.c modules/tls/tls_domain.h modules/tls/tls_server.h
+ modules/tls/tls_rpc.h pt.c pt.h sched_yield.h ut.c ut.h
+Copyright: 2001-2003 FhG Fokus
+License: ISC
+
+Files: events.* modules/topoh/*
+Copyright: 2009 SIP-Router.org
+License: ISC
+
+Files: modules/mi_rpc/mi_rpc_mod.c modules/pv/pv_xavp.*
+ modules/usrloc/ul_rpc.* ppcfg.* xavp.*
+Copyright: 2009-2010 Daniel-Constantin Mierla (asipto.com)
+License: ISC
+
+Files: obsolete/jabber_k/tree234.*
+Copyright: 1999, 2000, 2001, Simon Tatham
+License: Expat
+ Permission is hereby granted, free of charge, to any person
+ obtaining a copy of this software and associated documentation
+ files (the "Software"), to deal in the Software without
+ restriction, including without limitation the rights to use,
+ copy, modify, merge, publish, distribute, sublicense, and/or
+ sell copies of the Software, and to permit persons to whom the
+ Software is furnished to do so, subject to the following
+ conditions:
+ .
+ The above copyright notice and this permission notice shall be
+ included in all copies or substantial portions of the Software.
+ .
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+ OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+ NONINFRINGEMENT.  IN NO EVENT SHALL SIMON TATHAM BE LIABLE FOR
+ ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
+ CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+ SOFTWARE.
+
+Files: modules/xmpp/xsnprintf.c obsolete/jabber_s/xsnprintf.c obsolete/jabber_k/xsnprintf.c
+Copyright: 1995-1998, The Apache Group
+License: Apache-1.0
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ .
+ 1. Redistributions of source code must retain the above copyright
+    notice, this list of conditions and the following disclaimer.
+ .
+ 2. Redistributions in binary form must reproduce the above copyright
+    notice, this list of conditions and the following disclaimer in
+    the documentation and/or other materials provided with the
+    distribution.
+ .
+ 3. All advertising materials mentioning features or use of this
+    software must display the following acknowledgment:
+    "This product includes software developed by the Apache Group
+    for use in the Apache HTTP server project (http://www.apache.org/)."
+ .
+ 4. The names "Apache Server" and "Apache Group" must not be used to
+    endorse or promote products derived from this software without
+    prior written permission.
+ .
+ 5. Redistributions of any form whatsoever must retain the following
+    acknowledgment:
+    "This product includes software developed by the Apache Group
+    for use in the Apache HTTP server project (http://www.apache.org/)."
+ .
+ THIS SOFTWARE IS PROVIDED BY THE APACHE GROUP ``AS IS'' AND ANY
+ EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE APACHE GROUP OR
+ ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+ STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
+ OF THE POSSIBILITY OF SUCH DAMAGE.
+
+Files: modules/mi_xmlrpc/abyss*
+Copyright: 2000, Moez Mahfoudh <mmoez@bigfoot.com>
+License: BSD-3-clause
+
+Files: list.h
+Copyright: 1991, 1993 The Regents of the University of California
+License: BSD-3-clause
+
+Files: modules/tm/t_serial.*
+Copyright: 2008 Juha Heinanen
+License: BSD-2-clause
+
+Files: parser/sdp/sdp.* parser/sdp/sdp_helpr_funcs.* parser/sdp/sdp_cloner.h
+Copyright:
+ 2008-2009 SOMA Networks, INC.
+ 2010 VoIP Embedded, Inc
+License: BSD-2-clause
+
+Files: modules/tls/fixed_c_zlib.h
+Copyright:1998-2005 The OpenSSL Project
+Comment: file copied from OpenSSL 0.9.8, refers to OpenSSL License. Note that
+ this code will not build by default in the Debian packaging.
+License: OpenSSL
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ .
+ 1. Redistributions of source code must retain the above copyright
+    notice, this list of conditions and the following disclaimer.
+ .
+ 2. Redistributions in binary form must reproduce the above copyright
+    notice, this list of conditions and the following disclaimer in
+    the documentation and/or other materials provided with the
+    distribution.
+ .
+ 3. All advertising materials mentioning features or use of this
+    software must display the following acknowledgment:
+    "This product includes software developed by the OpenSSL Project
+    for use in the OpenSSL Toolkit. (http://www.openssl.org/)"
+ .
+ 4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to
+    endorse or promote products derived from this software without
+    prior written permission. For written permission, please contact
+    openssl-core@openssl.org.
+ .
+ 5. Products derived from this software may not be called "OpenSSL"
+    nor may "OpenSSL" appear in their names without prior written
+    permission of the OpenSSL Project.
+ .
+ 6. Redistributions of any form whatsoever must retain the following
+    acknowledgment:
+    "This product includes software developed by the OpenSSL Project
+    for use in the OpenSSL Toolkit (http://www.openssl.org/)"
+ .
+ THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY
+ EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE OpenSSL PROJECT OR
+ ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+ STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
+ OF THE POSSIBILITY OF SUCH DAMAGE.
+
+Files: md5.* md5utils.c
+Copyright: 1991-2, RSA Data Security, Inc
+Comment: Note that md5.c and md5.h have been replaced in the patches
+ plum_md5*.patch .
+ .
+ As for md5utils.c, according to a mail from Upstream (Daniel-Constantin
+ Mierla): while the initial commit log for it states that it is derived
+ from mddriver.c of RFC 1321, it seems that it was, in fact, written from
+ scratch by Jiri Kuthan (a core developer of SER at that time, working for
+ FhG Fokus Institute). As you can see it's rather trivial and uses a data
+ type of SER ("str").  I didn't reimplement it as it's too trivial and
+ looks like there's no other way to implement it.
+License: RSA-MD5
+ License to copy and use this software is granted provided that it
+ is identified as the "RSA Data Security, Inc. MD5 Message-Digest
+ Algorithm" in all material mentioning or referencing this software
+ or this function.
+ .
+ License is also granted to make and use derivative works provided
+ that such works are identified as "derived from the RSA Data
+ Security, Inc. MD5 Message-Digest Algorithm" in all material
+ mentioning or referencing the derived work.
+ .
+ RSA Data Security, Inc. makes no representations concerning either
+ the merchantability of this software or the suitability of this
+ software for any particular purpose. It is provided "as is"
+ without express or implied warranty of any kind.
+ .
+ These notices must be retained in any copies of any part of this
+ documentation and/or software.
+
+Files: mem/dl_*
+Copyright: n/a
+License: public-domain
+ This is a version (aka dlmalloc) of malloc/free/realloc written by
+ Doug Lea and released to the public domain, as explained at
+ http://creativecommons.org/licenses/publicdomain.  Send questions,
+ comments, complaints, performance data, etc to dl@cs.oswego.edu
+
+Files: rand/isaac/*
+Copyright: n/a
+License: public-domain
+ By Bob Jenkins.  My random number generator, ISAAC.  Public Domain.
+
+License: ISC
+ Permission to use, copy, modify, and distribute this software for any
+ purpose with or without fee is hereby granted, provided that the above
+ copyright notice and this permission notice appear in all copies.
+ .
+ THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+ WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+ MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+ ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+ WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+ ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+ OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+Files: lib/srutils/srjson.*
+Copyright: 2009 Dave Gamble
+License: MIT
+ Permission is hereby granted, free of charge, to any person obtaining a copy
+ of this software and associated documentation files (the "Software"), to deal
+ in the Software without restriction, including without limitation the rights
+ to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ copies of the Software, and to permit persons to whom the Software is
+ furnished to do so, subject to the following conditions:
+ .
+ The above copyright notice and this permission notice shall be included in
+ all copies or substantial portions of the Software.
+ ,
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+ AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+ OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+ THE SOFTWARE.
+
+License: BSD-3-clause
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ 1. Redistributions of source code must retain the above copyright
+    notice, this list of conditions and the following disclaimer.
+ 2. Redistributions in binary form must reproduce the above copyright
+    notice, this list of conditions and the following disclaimer in the
+    documentation and/or other materials provided with the distribution.
+ 4. Neither the name of the University nor the names of its contributors
+    may be used to endorse or promote products derived from this software
+    without specific prior written permission.
+ .
+ THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+ FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ SUCH DAMAGE.
+
+License: BSD-2-clause
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions are met:
+ .
+  1. Redistributions of source code must retain the above copyright notice,
+     this list of conditions and the following disclaimer.
+  2. Redistributions in binary form must reproduce the above copyright
+     notice, this list of conditions and the following disclaimer in the
+     documentation and/or other materials provided with the distribution.
+ .
+ THIS SOFTWARE IS PROVIDED BY THE FREEBSD PROJECT ``AS IS'' AND ANY EXPRESS OR
+ IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+ MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+ EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
+ INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+ BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
+ OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+ NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
+ EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
diff --git a/pkg/kamailio/deb/focal/kamailio-autheph-modules.lintian-overrides b/pkg/kamailio/deb/focal/kamailio-autheph-modules.lintian-overrides
new file mode 100644 (file)
index 0000000..dcb3d18
--- /dev/null
@@ -0,0 +1 @@
+kamailio-autheph-modules binary: possible-gpl-code-linked-with-openssl
diff --git a/pkg/kamailio/deb/focal/kamailio-berkeley-bin.dirs b/pkg/kamailio/deb/focal/kamailio-berkeley-bin.dirs
new file mode 100644 (file)
index 0000000..236670a
--- /dev/null
@@ -0,0 +1 @@
+usr/sbin
diff --git a/pkg/kamailio/deb/focal/kamailio-dnssec-modules.lintian-overrides b/pkg/kamailio/deb/focal/kamailio-dnssec-modules.lintian-overrides
new file mode 100644 (file)
index 0000000..10165fe
--- /dev/null
@@ -0,0 +1 @@
+kamailio-dnssec-modules binary: possible-gpl-code-linked-with-openssl
diff --git a/pkg/kamailio/deb/focal/kamailio-outbound-modules.lintian-overrides b/pkg/kamailio/deb/focal/kamailio-outbound-modules.lintian-overrides
new file mode 100644 (file)
index 0000000..3050cfe
--- /dev/null
@@ -0,0 +1 @@
+kamailio-outbound-modules binary: possible-gpl-code-linked-with-openssl
diff --git a/pkg/kamailio/deb/focal/kamailio-tls-modules.lintian-overrides b/pkg/kamailio/deb/focal/kamailio-tls-modules.lintian-overrides
new file mode 100644 (file)
index 0000000..bbe0d37
--- /dev/null
@@ -0,0 +1 @@
+kamailio-tls-modules binary: possible-gpl-code-linked-with-openssl
diff --git a/pkg/kamailio/deb/focal/kamailio-websocket-modules.lintian-overrides b/pkg/kamailio/deb/focal/kamailio-websocket-modules.lintian-overrides
new file mode 100644 (file)
index 0000000..8f384fb
--- /dev/null
@@ -0,0 +1 @@
+kamailio-websocket-modules binary: possible-gpl-code-linked-with-openssl
diff --git a/pkg/kamailio/deb/focal/kamailio.README.Debian b/pkg/kamailio/deb/focal/kamailio.README.Debian
new file mode 100644 (file)
index 0000000..d25769a
--- /dev/null
@@ -0,0 +1,39 @@
+Kamailio for Debian
+-------------------
+
+* init script check for fork=no
+-------------------------------
+
+The Kamailio init script will not start Kamailio on boot if fork=no is
+specified in the config file. The check in the initscript will match
+any occurrence of fork=no in the file, even inside C-style comments.
+
+You can disable this check in the init script if you wish; just comment
+out the calls to the check_fork function in the script. Your changes to
+the init script will be preserved upon upgrade, as the file is tagged
+as a conffile.
+
+
+* Kamailio setup
+----------------
+
+To setup Kamailio, you need to:
+ - configure Kamailio properly to suit your needs
+ - edit /etc/default/kamailio, adjust the MEMORY parameter and set
+   RUN_KAMAILIO to "yes"
+
+If you are building an HA cluster using heartbeat or similar, you'll want
+to disable the init script by running:
+
+  update-rc.d kamailio remove
+
+so that Kamailio will not be launched at system startup. You still need
+to set RUN_KAMAILIO to "yes" if you want to use the /etc/init.d/kamailio init
+script.
+
+Set the DUMP_CORE parameter in /etc/default/kamailio to "yes" if you want to
+get a core dump in case Kamailio crashes. The debug symbols for Kamailio are
+provided by the kamailio-dbg package.
+
+
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed, 11 Dec 2013 16:07:11 +0100
diff --git a/pkg/kamailio/deb/focal/kamailio.default b/pkg/kamailio/deb/focal/kamailio.default
new file mode 100644 (file)
index 0000000..81c8925
--- /dev/null
@@ -0,0 +1,36 @@
+#
+# Kamailio startup options
+#
+
+# Set to yes to enable kamailio, once configured properly.
+#RUN_KAMAILIO=yes
+
+# User to run as
+#USER=kamailio
+
+# Group to run as
+#GROUP=kamailio
+
+# On systemd, to change username or group please create drop-in
+# /etc/systemd/system/kamailio.service.d/10-user_group.conf file, like
+# ```
+# [Service]
+# User=kamuser
+# Group=kamgroup
+# ```
+
+# Amount of shared and private memory to allocate
+# for the running Kamailio server (in Mb)
+#SHM_MEMORY=64
+#PKG_MEMORY=8
+
+# Config file
+#CFGFILE=/etc/kamailio/kamailio.cfg
+
+# Enable the server to leave a core file when it crashes.
+# Set this to 'yes' to enable Kamailio to leave a core file when it crashes
+# or 'no' to disable this feature. This option is case sensitive and only
+# accepts 'yes' and 'no' and only in lowercase letters.
+# On some systems it is necessary to specify a directory for the core files
+# to get a dump. Look into the kamailio init file for an example configuration.
+#DUMP_CORE=yes
diff --git a/pkg/kamailio/deb/focal/kamailio.examples b/pkg/kamailio/deb/focal/kamailio.examples
new file mode 100644 (file)
index 0000000..e39721e
--- /dev/null
@@ -0,0 +1 @@
+examples/*
diff --git a/pkg/kamailio/deb/focal/kamailio.init b/pkg/kamailio/deb/focal/kamailio.init
new file mode 100644 (file)
index 0000000..45621c6
--- /dev/null
@@ -0,0 +1,162 @@
+#! /bin/sh
+#
+### BEGIN INIT INFO
+# Provides:          kamailio
+# Required-Start:    $syslog $network $local_fs $remote_fs $time
+# Should-Start:      $named slapd mysql postgresql snmpd radiusd
+# Should-Stop:       $named slapd mysql postgresql snmpd radiusd
+# Required-Stop:     $syslog $network $local_fs $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Start the Kamailio SIP proxy server
+# Description:       Start the Kamailio SIP proxy server
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/kamailio
+NAME=`basename "$0"`
+DESC="Kamailio SIP Server"
+HOMEDIR=/run/$NAME
+PIDFILE=$HOMEDIR/$NAME.pid
+DEFAULTS=/etc/default/$NAME
+CFGFILE=/etc/$NAME/kamailio.cfg
+RUN_KAMAILIO=no
+USER=kamailio
+GROUP=kamailio
+# Amount of shared and private memory to allocate
+# for the running Kamailio server (in Mb)
+SHM_MEMORY=64
+PKG_MEMORY=8
+DUMP_CORE=no
+
+# Do not start kamailio if fork=no is set in the config file
+# otherwise the boot process will just stop
+check_fork ()
+{
+    if grep -q "^[[:space:]]*fork[[:space:]]*=[[:space:]]*no.*" $CFGFILE; then
+       log_failure_msg "Not starting $DESC: fork=no specified in config file; run /etc/init.d/kamailio debug instead"
+       exit 0
+    fi
+}
+
+check_kamailio_config ()
+{
+       # Check if kamailio configuration is valid before starting the server
+       set +e
+       out=$($DAEMON -f $CFGFILE -M $PKG_MEMORY -c 2>&1 > /dev/null)
+       retcode=$?
+       set -e
+       if [ "$retcode" != '0' ]; then
+           log_failure_msg "Not starting $DESC: invalid configuration file!"
+           log_failure_msg
+           log_failure_msg "$out"
+           log_failure_msg
+           exit 1
+       fi
+}
+
+create_radius_seqfile ()
+{
+    # Create a radius sequence file to be used by the radius client if
+    # radius accounting is enabled. This is needed to avoid any issue
+    # with the file not being writable if kamailio first starts as user
+    # root because DUMP_CORE is enabled and creates this file as user
+    # root and then later it switches back to user kamailio and cannot
+    # write to the file. If the file exists before kamailio starts, it
+    # won't change it's ownership and will be writable for both root
+    # and kamailio, no matter what options are chosen at install time
+    RADIUS_SEQ_FILE="$HOMEDIR/kamailio_radius.seq"
+    if [ -d $HOMEDIR ]; then
+       chown ${USER}:${GROUP} $HOMEDIR
+
+       if [ ! -f $RADIUS_SEQ_FILE ]; then
+           touch $RADIUS_SEQ_FILE
+       fi
+
+       chown ${USER}:${GROUP} $RADIUS_SEQ_FILE
+       chmod 660 $RADIUS_SEQ_FILE
+    fi
+}
+
+test -f $DAEMON || exit 0
+
+# Load startup options if available
+if [ -f $DEFAULTS ]; then
+   . $DEFAULTS || true
+fi
+
+if [ "$RUN_KAMAILIO" != "yes" ]; then
+    log_failure_msg "Kamailio not yet configured. Edit /etc/default/$NAME first."
+    exit 0
+fi
+
+set -e
+
+SHM_MEMORY=$((`echo $SHM_MEMORY | sed -e 's/[^0-9]//g'`))
+PKG_MEMORY=$((`echo $PKG_MEMORY | sed -e 's/[^0-9]//g'`))
+[ -z "$USER" ]  && USER=kamailio
+[ -z "$GROUP" ] && GROUP=kamailio
+[ $SHM_MEMORY -le 0 ] && SHM_MEMORY=64
+[ $PKG_MEMORY -le 0 ] && PKG_MEMORY=4
+
+if test "$DUMP_CORE" = "yes" ; then
+    # set proper ulimit
+    ulimit -c unlimited
+
+    # directory for the core dump files
+    # COREDIR=/home/corefiles
+    # [ -d $COREDIR ] || mkdir $COREDIR
+    # chmod 777 $COREDIR
+    # echo "$COREDIR/core.%e.sig%s.%p" > /proc/sys/kernel/core_pattern
+fi
+
+# $HOMEDIR can be a tmpfs
+if [ ! -d $HOMEDIR ]; then
+    mkdir -p $HOMEDIR
+    chown ${USER}:${GROUP} $HOMEDIR
+fi
+
+OPTIONS="-f $CFGFILE -P $PIDFILE -m $SHM_MEMORY -M $PKG_MEMORY -u $USER -g $GROUP"
+
+case "$1" in
+  start|debug)
+       check_kamailio_config
+       create_radius_seqfile
+
+       if [ "$1" != "debug" ]; then
+           check_fork
+       fi
+
+       log_daemon_msg "Starting $DESC: $NAME"
+       start-stop-daemon --start --quiet --pidfile $PIDFILE \
+               --exec $DAEMON -- $OPTIONS || log_failure_msg " already running"
+       log_end_msg 0
+       ;;
+  stop)
+       log_daemon_msg "Stopping $DESC: $NAME"
+       start-stop-daemon --oknodo --stop --quiet --pidfile $PIDFILE \
+               --exec $DAEMON --retry 5
+       log_end_msg 0
+       ;;
+  restart|force-reload)
+       check_kamailio_config
+       create_radius_seqfile
+
+       $0 stop
+       $0 start
+       ;;
+  status)
+       log_daemon_msg "Status of $DESC: "
+
+       status_of_proc -p"$PIDFILE" $NAME $NAME
+       ;;
+  *)
+       N=/etc/init.d/$NAME
+       echo "Usage: $N {start|stop|restart|force-reload|status|debug}" >&2
+       exit 1
+       ;;
+esac
+
+exit 0
diff --git a/pkg/kamailio/deb/focal/kamailio.lintian-overrides b/pkg/kamailio/deb/focal/kamailio.lintian-overrides
new file mode 100644 (file)
index 0000000..18152ed
--- /dev/null
@@ -0,0 +1,2 @@
+kamailio binary: example-interpreter-not-absolute usr/share/doc/kamailio/examples/outbound/edge.cfg #!KAMAILIO
+kamailio binary: example-interpreter-not-absolute usr/share/doc/kamailio/examples/outbound/registrar.cfg #!KAMAILIO
diff --git a/pkg/kamailio/deb/focal/kamailio.postinst b/pkg/kamailio/deb/focal/kamailio.postinst
new file mode 100644 (file)
index 0000000..e277780
--- /dev/null
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+    configure)
+        adduser --quiet --system --group --disabled-password \
+                --shell /bin/false --gecos "Kamailio SIP Server" \
+                --home /run/kamailio kamailio || true
+
+        ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+        ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+        ;;
+esac
+
+#DEBHELPER#
+
diff --git a/pkg/kamailio/deb/focal/kamailio.service b/pkg/kamailio/deb/focal/kamailio.service
new file mode 100644 (file)
index 0000000..a411114
--- /dev/null
@@ -0,0 +1,25 @@
+[Unit]
+Description=Kamailio (OpenSER) - the Open Source SIP Server
+Wants=network-online.target
+After=network-online.target
+
+[Service]
+Type=forking
+User=kamailio
+Group=kamailio
+Environment='CFGFILE=/etc/kamailio/kamailio.cfg'
+Environment='SHM_MEMORY=64'
+Environment='PKG_MEMORY=8'
+EnvironmentFile=-/etc/default/kamailio
+EnvironmentFile=-/etc/default/kamailio.d/*
+# PIDFile requires a full absolute path
+PIDFile=/run/kamailio/kamailio.pid
+# ExecStart requires a full absolute path
+ExecStart=/usr/sbin/kamailio -P /run/kamailio/kamailio.pid -f $CFGFILE -m $SHM_MEMORY -M $PKG_MEMORY
+Restart=on-failure
+# /run/kamailio in tmpfs
+RuntimeDirectory=kamailio
+RuntimeDirectoryMode=0770
+
+[Install]
+WantedBy=multi-user.target
diff --git a/pkg/kamailio/deb/focal/rules b/pkg/kamailio/deb/focal/rules
new file mode 100755 (executable)
index 0000000..2e59d04
--- /dev/null
@@ -0,0 +1,228 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+DEBVERSION:=$(shell head -n 1 debian/changelog \
+                    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
+UPVERSION:=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
+
+FILENAME := kamailio_$(UPVERSION).orig.tar.gz
+URL := http://www.kamailio.org/pub/kamailio/$(UPVERSION)/src/kamailio-$(UPVERSION)_src.tar.gz
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+export RADCLI=1
+
+# modules not in the "main" kamailio package
+EXCLUDED_MODULES= java
+
+# extra modules to skip, because they are not compilable now
+# - regardless if they go to the main kamailio package or to some module package,
+# they will be excluded from compile and install of all
+EXTRA_EXCLUDED_MODULES=bdb dbtext oracle pa iptrtpproxy mi_xmlrpc dnssec
+
+# module groups that are packaged in seperate packages
+# (with the name kamailio-$(group_name)-modules)
+# Note: the order is important (should be in dependency order, the one
+# on which other depend first)
+PACKAGE_GROUPS=mysql postgres berkeley unixodbc radius presence \
+                          ldap xml perl utils lua memcached \
+                          snmpstats carrierroute xmpp cpl redis python geoip geoip2 \
+                          sqlite json mono ruby ims sctp \
+                          tls outbound websocket autheph kazoo cnxcc \
+                          erlang systemd phonenum mongodb rabbitmq python3 mqtt
+
+# module groups to be packaged onto kamailio-extra-modules
+EXTRA_GROUPS=gzcompress uuid ev jansson http_async
+
+# name of libdir in the path for libraries (e.g., lib for 32b, lib64 for 64b)
+export LIBDIR ?= lib/$(DEB_HOST_MULTIARCH)
+
+# directories with possible duplicate libraries (that should be deleted
+# from current module* packages)
+DUP_LIBS_DIRS=$(CURDIR)/debian/kamailio/usr/$(LIBDIR)/kamailio \
+                       $(CURDIR)/debian/kamailio-db-modules/usr/$(LIBDIR)/kamailio
+
+# "function" to get package short name out of a dir/module_name
+# it also transforms db_foo into foo
+mod_name=$(subst db_,,$(lastword $(subst /, ,$(1))))
+
+define PACKAGE_GRP_BUILD_template
+       # package all the modules in PACKAGE_GROUPS in separate packages
+       $(foreach grp,$(PACKAGE_GROUPS),\
+               $(MAKE) every-module group_include="k$(grp)" quiet=verbose
+       )
+endef
+
+define PACKAGE_GRP_INSTALL_template
+       $(foreach grp,$(PACKAGE_GROUPS),\
+               $(MAKE) install-modules-all LIBDIR=$(LIBDIR) group_include="k$(grp)" \
+               BASEDIR=$(CURDIR)/debian/kamailio-$(grp)-modules \
+               cfg_prefix=$(CURDIR)/debian/kamailio-$(grp)-modules \
+               doc-dir=share/doc/kamailio-$(grp)-modules quiet=verbose
+               # eliminate duplicate libs
+               -for d in $(DUP_LIBS_DIRS); do \
+                       test "$$d" != "$(CURDIR)/debian/kamailio-$(grp)-modules/usr/$(LIBDIR)/kamailio" &&\
+                       for r in `find $$d -name 'lib*'|xargs`; do \
+                               echo "removing $(grp) lib `basename $$r` present also in $$d";\
+                               rm -f $(CURDIR)/debian/kamailio-$(grp)-modules/usr/$(LIBDIR)/kamailio/`basename "$$r"` ; \
+                       done ; \
+               done
+               find $(CURDIR)/debian/kamailio-$(grp)-modules -depth -empty -type d -exec rmdir {} \;
+       )
+endef
+
+define PACKAGE_EXTRA_BUILD_template
+       # package all the modules in EXTRA_GROUPS in separate packages
+       $(foreach grp,$(EXTRA_GROUPS),\
+               $(MAKE) every-module group_include="k$(grp)" quiet=verbose
+       )
+endef
+
+define PACKAGE_EXTRA_INSTALL_template
+       $(foreach grp,$(EXTRA_GROUPS),\
+               $(MAKE) install-modules-all LIBDIR=$(LIBDIR) group_include="k$(grp)" \
+               BASEDIR=$(CURDIR)/debian/kamailio-extra-modules \
+               cfg_prefix=$(CURDIR)/debian/kamailio-extra-modules \
+               doc-dir=share/doc/kamailio-extra-modules quiet=verbose
+       )
+       # eliminate duplicate libs
+       -for d in $(DUP_LIBS_DIRS); do \
+               test "$$d" != "$(CURDIR)/debian/kamailio-extra-modules/usr/$(LIBDIR)/kamailio" &&\
+               for r in `find $$d -name 'lib*'|xargs`; do \
+                       echo "removing extra lib `basename $$r` present also in $$d";\
+                       rm -f $(CURDIR)/debian/kamailio-extra-modules/usr/$(LIBDIR)/kamailio/`basename "$$r"` ; \
+               done ; \
+       done
+       find $(CURDIR)/debian/kamailio-extra-modules -depth -empty -type d -exec rmdir {} \;
+endef
+
+# CFLAGS + CPPFLAGS -> CC_EXTRA_OPTS
+CC_EXTRA_OPTS := $(shell dpkg-buildflags --get CPPFLAGS)
+CC_EXTRA_OPTS += $(shell DEB_CFLAGS_MAINT_STRIP=-O2 dpkg-buildflags --get CFLAGS)
+CXXFLAGS := $(shell DEB_CXXFLAGS_MAINT_STRIP=-O2 dpkg-buildflags --get CXXFLAGS)
+# LDFLAGS -> LD_EXTRA_OPTS
+LD_EXTRA_OPTS := $(shell dpkg-buildflags --get LDFLAGS)
+
+# https://wiki.debian.org/ReproducibleBuilds/
+CC_EXTRA_OPTS += -DVERSION_NODATE
+
+configure: configure-stamp
+configure-stamp:
+       dh_testdir
+       # Add here commands to configure the package.
+       $(MAKE) FLAVOUR=kamailio cfg prefix=/usr cfg_prefix=$(CURDIR)/debian/kamailio \
+                       cfg_target=/etc/kamailio/ \
+                       BASEDIR=$(CURDIR)/debian/kamailio \
+                       skip_modules="$(EXCLUDED_MODULES) $(EXTRA_EXCLUDED_MODULES)" \
+                       CC_EXTRA_OPTS="$(CC_EXTRA_OPTS)" \
+                       LD_EXTRA_OPTS="$(LD_EXTRA_OPTS)" \
+                       group_include="kstandard" quiet=verbose
+
+       touch configure-stamp
+
+
+build: build-stamp
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: configure-stamp
+       dh_testdir
+       # Add here commands to compile the package.
+       $(MAKE) all quiet=verbose
+       # make groups
+       $(call PACKAGE_GRP_BUILD_template)
+       $(call PACKAGE_EXTRA_BUILD_template)
+       touch build-stamp
+
+clean:
+       dh_testdir
+       dh_testroot
+       rm -f build-stamp configure-stamp
+       # Add here commands to clean up after the build process.
+       $(MAKE) maintainer-clean
+       dh_clean
+
+install: build
+       dh_testdir
+       dh_testroot
+       dh_prep
+       dh_installdirs
+       # Add here commands to install the package into debian/kamailio
+       $(MAKE) install group_include="kstandard"
+       # make group packages
+       $(call PACKAGE_GRP_INSTALL_template)
+       $(call PACKAGE_EXTRA_INSTALL_template)
+       mv $(CURDIR)/debian/kamailio-berkeley-modules/usr/sbin/kambdb_recover \
+               $(CURDIR)/debian/kamailio-berkeley-bin/usr/sbin/kambdb_recover
+       # install /etc/default/kamailio file
+       mkdir -p $(CURDIR)/debian/kamailio/etc/default
+       cp -f debian/kamailio.default $(CURDIR)/debian/kamailio/etc/default/kamailio
+       # delete /run/kamailio dir
+       rm -rf $(CURDIR)/debian/kamailio/usr/local
+
+
+# This single target is used to build all the packages, all at once, or
+# one at a time. So keep in mind: any options passed to commands here will
+# affect _all_ packages. Anything you want to only affect one package
+# should be put in another target, such as the install target.
+binary-common:
+       dh_testdir
+       dh_testroot
+       dh_installdebconf
+       dh_installdocs
+       dh_installexamples -Xobsoleted -Xsr
+       dh_installmenu
+       dh_systemd_enable -pkamailio
+       dh_installinit -pkamailio -- defaults 23
+       dh_systemd_start -pkamailio
+       dh_installcron
+       dh_installman
+       dh_installinfo
+       dh_lintian
+       dh_installchangelogs ChangeLog
+       dh_link
+       dh_strip --dbg-package=kamailio-dbg
+       dh_compress
+       dh_fixperms
+       dh_makeshlibs
+       dh_installdeb
+       dh_shlibdeps
+       dh_gencontrol
+       dh_md5sums
+       dh_builddeb
+
+# Build architecture-independent packages using the common target
+binary-indep: build install
+# (Uncomment this next line if you have such packages.)
+#        $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+# We have nothing to do by default.
+
+
+# Build architecture-dependent packages using the common target
+binary-arch: build install
+       $(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
+
+# Any other binary targets build just one binary package at a time.
+binary-%: build install
+       $(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*
+
+print-version:
+       @@echo "Debian version:          $(DEBVERSION)"
+       @@echo "Upstream version:        $(UPVERSION)"
+
+get-orig-source:
+       @@dh_testdir
+       @@[ -d ../tarballs/. ]||mkdir -p ../tarballs
+       @@echo Downloading $(FILENAME) from $(URL) ...
+       @@wget -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
+
diff --git a/pkg/kamailio/deb/focal/source.lintian-overrides b/pkg/kamailio/deb/focal/source.lintian-overrides
new file mode 100644 (file)
index 0000000..620d9ff
--- /dev/null
@@ -0,0 +1 @@
+kamailio source: debian-watch-file-in-native-package
diff --git a/pkg/kamailio/deb/focal/source/format b/pkg/kamailio/deb/focal/source/format
new file mode 100644 (file)
index 0000000..89ae9db
--- /dev/null
@@ -0,0 +1 @@
+3.0 (native)
diff --git a/pkg/kamailio/deb/focal/watch b/pkg/kamailio/deb/focal/watch
new file mode 100644 (file)
index 0000000..c50f31f
--- /dev/null
@@ -0,0 +1,3 @@
+version=3
+opts=dversionmangle=s/\~svn([\d]+)//; \
+http://www.kamailio.org/pub/kamailio/([\d.]+)/src/kamailio-([\d.]+)_src\.tar\.gz